<h1>
    <span class="red-heading">
        I am Teacher Component behaving as parent :)
    </span>
</h1>

<h2>Controls teachers</h2>

<app-student *ngFor="let teacher of teachers" [teacher]="teacher" [principle]="principle"></app-student>